def make_process_cmd(args, config, chrom=None, stop_at=None, override_rep=None):
    if chrom is None:
        chrom = args.chrom
    if config.getboolean('scheduler', 'bsub'):
        prefix = 'bsub -M %s -n %s ' % (
            config.get('scheduler', 'process_memory'),
            config.get('scheduler', 'process_cores'))
    else:
        prefix = ''
    return '%shiclite pipeline process --config %s %s --chrom %s %s' % \
        (prefix, args.config, override_rep if override_rep else args.rep, chrom,
         '--stop_at %s' % stop_at if stop_at else '')


def make_collect_cmd(args, config):
    if config.getboolean('scheduler', 'bsub'):
        prefix = 'bsub -E "hiclite pipeline check --config %s %s" ' % \
            (args.config, args.rep)
    else:
        prefix = ''
    return '%shiclite pipeline collect --config %s %s' % \
        (prefix, args.config, args.rep)
